#include "StdAfx.h"
#include ".\compte.h"
#include <string.h>
#include <stdio.h>

Compte::Compte(char*titulaire)
{
	this->titulaire=new char[strlen(titulaire)+1];
	strcpy(this->titulaire,titulaire);
	solde=0;
	numero=prochain_numero();
}

Compte::~Compte(void)
{
	delete titulaire;
}

void Compte::crediter(double montant)
{
	solde+=montant;
}

bool Compte::debiter(double montant)
{
	if(montant<=solde)
	{
		solde-=montant;
		return true;
	}
	return false;
}

void Compte::relever()
{
	printf("%s (%d) : %.2g euros\n",titulaire,numero,solde);
}

int Compte::num=1000;

int Compte::prochain_numero()
{
	return num++;
}
